summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /x11-misc/xdotool
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'x11-misc/xdotool')
-rw-r--r--x11-misc/xdotool/Manifest2
-rw-r--r--x11-misc/xdotool/metadata.xml14
-rw-r--r--x11-misc/xdotool/xdotool-2.20101012.3049.ebuild46
-rw-r--r--x11-misc/xdotool/xdotool-2.20110530.1.ebuild49
4 files changed, 111 insertions, 0 deletions
diff --git a/x11-misc/xdotool/Manifest b/x11-misc/xdotool/Manifest
new file mode 100644
index 000000000000..d1951fd056e1
--- /dev/null
+++ b/x11-misc/xdotool/Manifest
@@ -0,0 +1,2 @@
+DIST xdotool-2.20101012.3049.tar.gz 99573 SHA256 9a9a03701018be6ca82f60c636f37d1749bfb24a5ce6a1f6910fccb67f58b32a
+DIST xdotool-2.20110530.1.tar.gz 107204 SHA256 e7b42c8b1d391970e1c1009b256033f30e57d8e0a2a3de229fd61ecfc27baf67 SHA512 0b2f71203c41e320aac152e1376b30bb9f5ea2067572299ad4c32f49b2505566275f0b377b4f443c3520751d71a9b270325cd676e63ee2a153de3213e128f2cb WHIRLPOOL c4bb185e59237917ddeb86d433ca1fbbea1ace2e1cc46c7d949cef748a7765b01300fdd3826537135798a646d4672a1607b6cc60acc7539e46994d974a5e1dad
diff --git a/x11-misc/xdotool/metadata.xml b/x11-misc/xdotool/metadata.xml
new file mode 100644
index 000000000000..9daac930f2b9
--- /dev/null
+++ b/x11-misc/xdotool/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>joker@gentoo.org</email>
+ <name>Christian Birchinger</name>
+ </maintainer>
+ <longdescription>This tool lets you programatically (or manually) simulate keyboard input and
+mouse activity, move and resize windows, etc. It does this using X11's XTEST
+extension and other Xlib functions. </longdescription>
+ <upstream>
+ <remote-id type="google-code">semicomplete</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/x11-misc/xdotool/xdotool-2.20101012.3049.ebuild b/x11-misc/xdotool/xdotool-2.20101012.3049.ebuild
new file mode 100644
index 000000000000..feafc1ee6b3d
--- /dev/null
+++ b/x11-misc/xdotool/xdotool-2.20101012.3049.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=2
+
+inherit eutils toolchain-funcs flag-o-matic multilib
+
+DESCRIPTION="Simulate keyboard input and mouse activity, move and resize windows"
+HOMEPAGE="http://www.semicomplete.com/projects/xdotool/"
+SRC_URI="http://semicomplete.googlecode.com/files/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="examples"
+
+DEPEND="x11-libs/libXtst
+ x11-libs/libX11"
+RDEPEND="${DEPEND}"
+
+# The test wants to manualy start Xvfb, wont use VirtualX and it tries
+# to run a full gnome-session. For such a tiny application i consider
+# it overkill to rewrite the test scripts to not use it's own X server
+# and add a full blown gnome just to run the tests.
+RESTRICT="test"
+
+src_prepare() {
+ sed -e "s/installheader post-install$/installheader/" \
+ -i Makefile || die "sed failed"
+}
+
+src_compile() {
+ tc-export CC LD
+ default
+}
+
+src_install() {
+ emake PREFIX="${D}usr" INSTALLMAN="${D}usr/share/man" INSTALLLIB="${D}usr/$(get_libdir)" install || die
+
+ dodoc CHANGELIST README
+ if use examples; then
+ insinto /usr/share/doc/${PF}/examples
+ doins examples/*
+ fi
+}
diff --git a/x11-misc/xdotool/xdotool-2.20110530.1.ebuild b/x11-misc/xdotool/xdotool-2.20110530.1.ebuild
new file mode 100644
index 000000000000..4e49c063adcb
--- /dev/null
+++ b/x11-misc/xdotool/xdotool-2.20110530.1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=2
+
+inherit eutils toolchain-funcs flag-o-matic multilib
+
+DESCRIPTION="Simulate keyboard input and mouse activity, move and resize windows"
+HOMEPAGE="http://www.semicomplete.com/projects/xdotool/"
+SRC_URI="http://semicomplete.googlecode.com/files/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 arm ppc x86"
+IUSE="examples"
+
+RDEPEND="x11-libs/libXtst
+ x11-libs/libX11
+ x11-libs/libXinerama"
+DEPEND="${RDEPEND}"
+
+# The test wants to manualy start Xvfb, wont use VirtualX and it tries
+# to run a full gnome-session. For such a tiny application i consider
+# it overkill to rewrite the test scripts to not use it's own X server
+# and add a full blown gnome just to run the tests.
+RESTRICT="test"
+
+src_prepare() {
+ sed -i \
+ -e "s/installheader post-install$/installheader/" \
+ -e 's:\<pkg-config\>:$(PKG_CONFIG):' \
+ Makefile || die "sed failed"
+}
+
+src_compile() {
+ tc-export CC LD PKG_CONFIG
+ default
+}
+
+src_install() {
+ emake PREFIX="${D}usr" INSTALLMAN="${D}usr/share/man" INSTALLLIB="${D}usr/$(get_libdir)" install || die
+
+ dodoc CHANGELIST README
+ if use examples; then
+ insinto /usr/share/doc/${PF}/examples
+ doins examples/*
+ fi
+}